package com.fs.live.service.impl;

import java.util.Collections;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.live.mapper.LiveAfterSalesLogsMapper;
import com.fs.live.domain.LiveAfterSalesLogs;
import com.fs.live.service.ILiveAfterSalesLogsService;

/**
 * 售后订单操作Service业务层处理
 *
 * @author fs
 * @date 2025-07-08
 */
@Service
public class LiveAfterSalesLogsServiceImpl implements ILiveAfterSalesLogsService {

    @Autowired
    private LiveAfterSalesLogsMapper baseMapper;
    /**
     * 查询售后订单操作
     *
     * @param logsId 售后订单操作主键
     * @return 售后订单操作
     */
    @Override
    public LiveAfterSalesLogs selectLiveAfterSalesLogsByLogsId(Long logsId)
    {
        return baseMapper.selectLiveAfterSalesLogsByLogsId(logsId);
    }

    /**
     * 查询售后订单操作列表
     *
     * @param liveAfterSalesLogs 售后订单操作
     * @return 售后订单操作
     */
    @Override
    public List<LiveAfterSalesLogs> selectLiveAfterSalesLogsList(LiveAfterSalesLogs liveAfterSalesLogs)
    {
        return baseMapper.selectLiveAfterSalesLogsList(liveAfterSalesLogs);
    }

    /**
     * 新增售后订单操作
     *
     * @param liveAfterSalesLogs 售后订单操作
     * @return 结果
     */
    @Override
    public int insertLiveAfterSalesLogs(LiveAfterSalesLogs liveAfterSalesLogs)
    {
        return baseMapper.insertLiveAfterSalesLogs(liveAfterSalesLogs);
    }

    /**
     * 修改售后订单操作
     *
     * @param liveAfterSalesLogs 售后订单操作
     * @return 结果
     */
    @Override
    public int updateLiveAfterSalesLogs(LiveAfterSalesLogs liveAfterSalesLogs)
    {
        return baseMapper.updateLiveAfterSalesLogs(liveAfterSalesLogs);
    }

    /**
     * 批量删除售后订单操作
     *
     * @param logsIds 需要删除的售后订单操作主键
     * @return 结果
     */
    @Override
    public int deleteLiveAfterSalesLogsByLogsIds(Long[] logsIds)
    {
        return baseMapper.deleteLiveAfterSalesLogsByLogsIds(logsIds);
    }

    /**
     * 删除售后订单操作信息
     *
     * @param logsId 售后订单操作主键
     * @return 结果
     */
    @Override
    public int deleteLiveAfterSalesLogsByLogsId(Long logsId)
    {
        return baseMapper.deleteLiveAfterSalesLogsByLogsId(logsId);
    }

    @Override
    public List<LiveAfterSalesLogs> selectLiveAfterSalesLogsByAfterId(Long afterId) {
        return baseMapper.selectLiveAfterSalesLogsByAfterId(afterId);
    }
}
